Find a shared app's tools
Finds an app's tools for a task. Read-only ones run with read_room_connection; others need request_room_approval.
AuthorizationBearer <token>
Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.
In: header
Path Parameters
room_id*string
Match
^rom_[0-7][0-9A-HJKMNP-TV-Z]{25}$connection_id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidQuery Parameters
query*string
Length
1 <= length <= 200Header Parameters
SMB-Workspace-Id*string
Workspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/rooms/string/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08/tools?query=string" \ -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "connection_id": "d3547de1-d1f2-4344-b4c2-17169b7526f9", "plugin": "string", "label": "string", "tools": [ { "tool": "string", "name": "string", "description": "string", "input_schema": null, "read_only": true } ] }, "request_id": "string"}